# Functions

`setDefaultPath:`
  Sets the base path in which log files are created.
`chatLogWithPerson:withJid:`
  Returns a ChatLog for the specified person.

## chatLogWithPerson:withJid:

Returns a ChatLog for the specified person.

>     + ( id ) chatLogWithPerson:
>             (NSString *) _name withJid:
>             (JID *) _jid;

##### Parameter Descriptions

> `_name`
>   The roster name of the remote entity.
> `_jid`
>   The JID of the remote entity.

## setDefaultPath:

Sets the base path in which log files are created.

>     + ( void ) setDefaultPath:
>             (NSString *) _path;

This method should not be called after the creation of any ChatLog objects. The behaviour in this case is undefined.

##### Parameter Descriptions

> `_path`
>   The path in which log files are stored.

(Last Updated 11/26/2004)